Subject: Re: PPC 405 Register Model

From: Frank Rowand <[email-masked]>
Date: Tue, 30 Oct 2001 12:31:37 -0800

Jim Duey wrote:
>
> I'm needing to do some inline assembly for the Walnut board running MVista's
> Hard Hat Linux and I'm concerned about clobbering registers.  Can someone
> point me to docs or source code that describes the register usage of HHL on
> the 405GP?

If you use variable names instead of hard coding register numbers you
don't have to worry about clobbering registers.  For example, look
at include/asm-ppc/atomic.h and you can find documentation of inline
assembly at:

  http://gcc.gnu.org/onlinedocs/gcc-2.95.2/gcc_4.html#SEC93

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/